# Uses of Class
org.springframework.test.web.client.match.XpathRequestMatchers

Packages that use XpathRequestMatchers
Package
Description
org.springframework.test.web.client.match
Contains built-in `RequestMatcher` implementations.

## Uses of XpathRequestMatchers in org.springframework.test.web.client.match

Methods in org.springframework.test.web.client.match that return XpathRequestMatchers
Modifier and Type
Method
Description
`static XpathRequestMatchers`
MockRestRequestMatchers.`xpath(String expression, Object... args)`
Access to request body matchers using an XPath to inspect a specific subset of the body.
`static XpathRequestMatchers`
MockRestRequestMatchers.`xpath(String expression, Map<String,String> namespaces, Object... args)`
Access to response body matchers using an XPath to inspect a specific subset of the body.